<?php
/*$Author: genghonghao $*/
/*$Date: 2010-02-15 06:17:36 +0800 (一, 2010-02-15) $*/
/*$Id: correspond.php 561 2010-02-14 22:17:36Z genghonghao $*/

define('OFFICIAL_SITE_APP', 'http://blog.smartgoon.com/serverapp.php');

if (defined('SERVERAPP_START')) {
// 获得客户端用户IP
    $client_ip = (!empty($_SERVER['REMOTE_ADDR'])) ? $_SERVER['REMOTE_ADDR'] : ((!empty($_ENV['REMOTE_ADDR'])) ? $_ENV['REMOTE_ADDR'] : getenv('REMOTE_ADDR'));
// 获得服务器端用户IP
    $server_ip = (!empty($_SERVER['SERVER_ADDR'])) ? $_SERVER['SERVER_ADDR'] : ((!empty($_ENV['SERVER_ADDR'])) ? $_ENV['SERVER_ADDR'] : getenv('SERVER_ADDR'));
// 当前时间
    $current_date = date("Y-m-d H:i:s");
    
    $content = str_pad("SERVER_IP:{$server_ip}", 25, " ", STR_PAD_RIGHT) . ' > > > [' . $current_date . ']   CLIENT_IP:' . $client_ip . "\n";
    $client = new PHPRPC_Client(OFFICIAL_SITE_APP);
    $client->SendData('3ed42f4f1b5f35807abf74f732c73855', $content);
}
?>
